from __future__ import annotations

import urllib.parse
from typing import Any, Dict, Optional

from ..client import Client

class UsersInvitesResource:
    def __init__(self, client: Client) -> None:
        self._client = client

    def registerByAdmin(self, body: Any, *, query: Optional[Dict[str, Any]] = None):
        return self._client.request("POST", "/users/registerByAdmin", query=query, body=body)

    def newAdminVerify(self, body: Any, *, query: Optional[Dict[str, Any]] = None):
        return self._client.request("POST", "/users/newAdmin/verify", query=query, body=body)

    def newAdminAccept(self, body: Any, *, query: Optional[Dict[str, Any]] = None):
        return self._client.request("POST", "/users/newAdmin/accept", query=query, body=body)

    def newAdminRevoke(self, body: Any, *, query: Optional[Dict[str, Any]] = None):
        return self._client.request("POST", "/users/newAdmin/revoke", query=query, body=body)

    def newAdminGetAll(self, *, query: Optional[Dict[str, Any]] = None):
        return self._client.request("GET", "/users/newAdmin/getAll", query=query, body=None)

    def newAdminResend(self, body: Any, *, query: Optional[Dict[str, Any]] = None):
        return self._client.request("POST", "/users/newAdmin/resend", query=query, body=body)
